/* ░░░▒▒▓▓██▣ RES INTERFACE ▣██▓▓▒▒░░░ ══ [ 2026-04-10 ] ══ [oddion_entity_lootjs.js] ═════════
    ┳┳┓┏┓┓┏┓┏┳┏┓┓ ┏ ╭╭────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────╮╮
    ┃┃┃┣┫┗┫┃┃┃┣ ┃┃┃ || server_scripts | loot | Oddion loot_table Modification 
    ┛ ┗┛┗┗┛┗┛┻┗┛┗┻┛ ╰╰────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────╯╯
*/ console.info("[RES:CORE] Initializing oddion_entity_lootjs.js");

LootJS.lootTables(e => {
  e.getLootTable("biomeswevegone:entities/oddion")
    .firstPool()

    .addEntry(LootEntry.of("farmersdelight:onion").withWeight(40).setCount([1, 3]))
    .addEntry(LootEntry.of("brewinandchewin:creamy_onion_soup").withWeight(10))
    .addEntry(LootEntry.of("farm_and_charm:onion_soup").withWeight(10))
    .addEntry(LootEntry.of("valheim_delight:onion_soup").withWeight(8))
    .addEntry(LootEntry.of("farm_and_charm:pasta_with_onion_sauce").withWeight(6))
    .addEntry(LootEntry.of("farmersdelight:onion_crate").withWeight(2))
    .addEntry(LootEntry.of("artifacts:onion_ring").withWeight(1))
})